#!/bin/bash
# FinderPop Add-on to Lock or Unlock the selected files
# The name 'Lockfsel-!!!.sh' means that FinderPop will only include this script
# in its menus if there's a Finder selection.  Also, it will appear in the menu
# as 'Lock' without all that hairy stuff.
# History
#   20081209    01  turly   Add version header
#   20081207    00  turly   Initial

# uchg and nouchg are confusingly named - uchg actually prohibits user changes
while [ $# -gt 0 ]; do
    /usr/bin/chflags uchg "$1"
    shift
done

